ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/trunk/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 956 by gezelter, Tue May 16 02:06:37 2006 UTC vs.
Revision 1036 by gezelter, Mon Sep 4 13:37:15 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
889 <  --without-fftw          if you turn this off you cannot compute undulation spectra
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891    --with-cgal-makefile=FILE  CGAL makefile that should be used
892  
# Line 1414 | Line 1416 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1416  
1417  
1418  
1417 # ACX_CHECK_FFTW()
1418 # ----------------
1419 # This macro checks for fftw header files and libraries,
1420 # including the possible prefixing with s or d to determine precision.
1421 # Arg 1 is the fftw header/library name to check for, without
1422 # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 # Arg 2 is the size of the real variable used.
1419  
1420  
1421  
# Line 1429 | Line 1424 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1424  
1425  
1426  
1427 + #
1428 + #
1429 + #
1430  
1431  
1432  
1433  
1436 #
1437 #
1438 #
1434  
1435  
1436   # AC_F90_MODULE_NAMES
# Line 1444 | Line 1439 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1439   # Figure out how the Fortran 90 compiler constructs module file names
1440   #
1441   # AC_F90_MODULE_NAMES
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468 +
1469 +
1470  
1471  
1472  
# Line 1480 | Line 1503 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1503  
1504  
1505  
1506 +
1507 +
1508 +
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528 +
1529 +
1530   # who am i
1531   # Make sure we can run config.sub.
1532   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1579 | Line 1626 | fi
1626   fi
1627  
1628  
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642 +
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646 +
1647 +        USE_SINGLE_PRECISION=yes
1648 +
1649 + fi
1650 +
1651   # Checks for programs.
1652   ac_ext=cc
1653   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 1586 | Line 1655 | if test -n "$ac_tool_prefix"; then
1655   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1656   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1657   if test -n "$ac_tool_prefix"; then
1658 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1658 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1659    do
1660      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1661   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1628 | Line 1697 | if test -z "$CXX"; then
1697   fi
1698   if test -z "$CXX"; then
1699    ac_ct_CXX=$CXX
1700 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1700 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1701   do
1702    # Extract the first word of "$ac_prog", so it can be a program name with args.
1703   set dummy $ac_prog; ac_word=$2
# Line 2142 | Line 2211 | if test -n "$ac_tool_prefix"; then
2211   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2212   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2213   if test -n "$ac_tool_prefix"; then
2214 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2214 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2215    do
2216      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2217   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2184 | Line 2253 | if test -z "$CC"; then
2253   fi
2254   if test -z "$CC"; then
2255    ac_ct_CC=$CC
2256 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2256 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2257   do
2258    # Extract the first word of "$ac_prog", so it can be a program name with args.
2259   set dummy $ac_prog; ac_word=$2
# Line 2653 | Line 2722 | if test -n "$ac_tool_prefix"; then
2722   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2723   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2724   if test -n "$ac_tool_prefix"; then
2725 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2726    do
2727      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2728   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2695 | Line 2764 | if test -z "$FC"; then
2764   fi
2765   if test -z "$FC"; then
2766    ac_ct_FC=$FC
2767 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2768   do
2769    # Extract the first word of "$ac_prog", so it can be a program name with args.
2770   set dummy $ac_prog; ac_word=$2
# Line 2740 | Line 2809 | fi
2809  
2810  
2811   # Provide some information about the compiler.
2812 < echo "$as_me:2743:" \
2812 > echo "$as_me:2812:" \
2813       "checking for Fortran compiler version" >&5
2814   ac_compiler=`set X $ac_compile; echo $2`
2815   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3492 | Line 3561 | if test "$AR" = "NONE"; then
3561   fi
3562  
3563   if test "$AR" = "NONE"; then
3495  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3496 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3497   { (exit 1); exit 1; }; }
3564    cat >confcache <<\_ACEOF
3565   # This file is a shell script that caches the results of configure
3566   # tests run on this system so they can be shared between configure
# Line 3991 | Line 4057 | FCFLAGS="$FCFLAGS $ac_verb"
4057   # flags.
4058   ac_save_FFLAGS=$FCFLAGS
4059   FCFLAGS="$FCFLAGS $ac_verb"
4060 < (eval echo $as_me:3994: \"$ac_link\") >&5
4060 > (eval echo $as_me:4060: \"$ac_link\") >&5
4061   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4062   echo "$ac_fc_v_output" >&5
4063   FCFLAGS=$ac_save_FFLAGS
# Line 4069 | Line 4135 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4135   # flags.
4136   ac_save_FFLAGS=$FCFLAGS
4137   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4138 < (eval echo $as_me:4072: \"$ac_link\") >&5
4138 > (eval echo $as_me:4138: \"$ac_link\") >&5
4139   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4140   echo "$ac_fc_v_output" >&5
4141   FCFLAGS=$ac_save_FFLAGS
# Line 4805 | Line 4871 | FCFLAGS="$FCFLAGS $ac_verb"
4871   # flags.
4872   ac_save_FFLAGS=$FCFLAGS
4873   FCFLAGS="$FCFLAGS $ac_verb"
4874 < (eval echo $as_me:4808: \"$ac_link\") >&5
4874 > (eval echo $as_me:4874: \"$ac_link\") >&5
4875   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4876   echo "$ac_fc_v_output" >&5
4877   FCFLAGS=$ac_save_FFLAGS
# Line 4883 | Line 4949 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4949   # flags.
4950   ac_save_FFLAGS=$FCFLAGS
4951   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4952 < (eval echo $as_me:4886: \"$ac_link\") >&5
4952 > (eval echo $as_me:4952: \"$ac_link\") >&5
4953   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4954   echo "$ac_fc_v_output" >&5
4955   FCFLAGS=$ac_save_FFLAGS
# Line 5760 | Line 5826 | done
5826   #
5827   # Handle user hints
5828   #
5763 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5764 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5829  
5830   # Check whether --with-zlib or --without-zlib was given.
5831   if test "${with_zlib+set}" = set; then
5832    withval="$with_zlib"
5833 <  if test "$withval" != no ; then
5834 <  echo "$as_me:$LINENO: result: yes" >&5
5835 < echo "${ECHO_T}yes" >&6
5836 <  if test -d "$withval"
5833 >  zlib_dir="$withval"
5834 > else
5835 >                zlib_dir="not_set"
5836 > fi;
5837 > if test "$zlib_dir" != "no"; then
5838 >
5839 > if test "$zlib_dir" != "not_set" ; then
5840 >  if test -d "$zlib_dir"
5841    then
5842 <    ZLIB_HOME="$withval"
5842 >    ZLIB_HOME="$zlib_dir"
5843    else
5844 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5845 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5844 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5845 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5846    fi
5779 else
5780  echo "$as_me:$LINENO: result: no" >&5
5781 echo "${ECHO_T}no" >&6
5847   fi
5783 fi;
5848  
5849   ZLIB_HOME=/usr/local
5850   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6033 | Line 6097 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6097   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6098   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6099  
6036        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6037        then
6038                #
6039                # If both library and header were found, use them
6040                #
6100  
6101 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6043 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6044 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6045 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6046 < else
6047 <  ac_check_lib_save_LIBS=$LIBS
6048 < LIBS="-lz  $LIBS"
6049 < cat >conftest.$ac_ext <<_ACEOF
6050 < /* confdefs.h.  */
6051 < _ACEOF
6052 < cat confdefs.h >>conftest.$ac_ext
6053 < cat >>conftest.$ac_ext <<_ACEOF
6054 < /* end confdefs.h.  */
6101 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6102  
6103 < /* Override any gcc2 internal prototype to avoid an error.  */
6104 < #ifdef __cplusplus
6058 < extern "C"
6059 < #endif
6060 < /* We use char because int might match the return type of a gcc2
6061 <   builtin and then its argument prototype would still apply.  */
6062 < char inflateEnd ();
6063 < #ifdef FC_DUMMY_MAIN
6064 < #ifndef FC_DUMMY_MAIN_EQ_F77
6065 < #  ifdef __cplusplus
6066 <     extern "C"
6067 < #  endif
6068 <   int FC_DUMMY_MAIN() { return 1; }
6069 < #endif
6070 < #endif
6071 < int
6072 < main ()
6073 < {
6074 < inflateEnd ();
6075 <  ;
6076 <  return 0;
6077 < }
6103 > cat >>confdefs.h <<\_ACEOF
6104 > #define HAVE_ZLIB_H 1
6105   _ACEOF
6079 rm -f conftest.$ac_objext conftest$ac_exeext
6080 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6081  (eval $ac_link) 2>conftest.er1
6082  ac_status=$?
6083  grep -v '^ *+' conftest.er1 >conftest.err
6084  rm -f conftest.er1
6085  cat conftest.err >&5
6086  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6087  (exit $ac_status); } &&
6088         { ac_try='test -z "$ac_c_werror_flag"
6089                         || test ! -s conftest.err'
6090  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6091  (eval $ac_try) 2>&5
6092  ac_status=$?
6093  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6094  (exit $ac_status); }; } &&
6095         { ac_try='test -s conftest$ac_exeext'
6096  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6097  (eval $ac_try) 2>&5
6098  ac_status=$?
6099  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6100  (exit $ac_status); }; }; then
6101  ac_cv_lib_z_inflateEnd=yes
6102 else
6103  echo "$as_me: failed program was:" >&5
6104 sed 's/^/| /' conftest.$ac_ext >&5
6106  
6107 < ac_cv_lib_z_inflateEnd=no
6108 < fi
6108 < rm -f conftest.err conftest.$ac_objext \
6109 <      conftest$ac_exeext conftest.$ac_ext
6110 < LIBS=$ac_check_lib_save_LIBS
6111 < fi
6112 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6113 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6114 < if test $ac_cv_lib_z_inflateEnd = yes; then
6115 <  cat >>confdefs.h <<_ACEOF
6107 >
6108 > cat >>confdefs.h <<\_ACEOF
6109   #define HAVE_LIBZ 1
6110   _ACEOF
6111  
6112 <  LIBS="-lz $LIBS"
6113 <
6114 < fi
6122 <
6123 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6124 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6125 <                echo "$as_me:$LINENO: result: ok" >&5
6126 < echo "${ECHO_T}ok" >&6
6112 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6113 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6114 >                ZLIB="-lz"
6115          else
6128                #
6129                # If either header or library was not found, revert and bomb
6130                #
6116                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6117   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6118 +                ZLIB_INC_DIR=
6119 +                ZLIB_LIB_DIR=
6120 +                ZLIB=
6121                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6122                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6123                  echo "$as_me:$LINENO: result: failed" >&5
6124   echo "${ECHO_T}failed" >&6
6125 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6126 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6127 <   { (exit 1); exit 1; }; }
6125 >                echo ""
6126 >                echo "*********************************************************"
6127 >                echo "* WARNING: Could not find a working zlib installation   *"
6128 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6129 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6130 >                echo "* installation with --with-zlib=DIR                     *"
6131 >                echo "*                                                       *"
6132 >                echo "* OOPSE will still work without zlib installed.         *"
6133 >                echo "*********************************************************"
6134 >                echo ""
6135          fi
6141 fi
6136  
6137  
6138  
6139 + fi
6140 + fi
6141 +
6142 + #
6143 + # Handle user hints
6144 + #
6145 +
6146   # Check whether --with-fftw or --without-fftw was given.
6147   if test "${with_fftw+set}" = set; then
6148    withval="$with_fftw"
6149 <
6149 >  fftw_dir="$withval"
6150   else
6151 <  with_fftw=yes
6151 >             fftw_dir="not_set"
6152   fi;
6153 < if test "$with_fftw" = "no"; then
6153 > if test "$fftw_dir" != "no"; then
6154 >  if test "$fftw_dir" != "not_set" ; then
6155 >    if test -d "$fftw_dir"; then
6156 >      FFTW_HOME="$fftw_dir"
6157 >    else
6158 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6159 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6160 >      FFTW_HOME=/usr/local
6161 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6162 >        FFTW_HOME=/usr
6163 >      fi
6164 >    fi
6165 >    #
6166 >    # Locate fftw, if wanted
6167 >    #
6168 >    if test -n "${FFTW_HOME}"; then
6169 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6170 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6171 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6172 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6173  
6154 cat >>confdefs.h <<\_ACEOF
6155 #define WITHOUT_FFTW
6156 _ACEOF
6174  
6175 < fi
6176 < if test "$with_fftw" = "yes"; then
6177 <  sizeof_real=8
6175 >      ac_ext=c
6176 > ac_cpp='$CPP $CPPFLAGS'
6177 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6178 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6179 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6180  
6181 <
6182 < if test -z "$ac_fftw_firstname"; then
6183 <
6184 < sizeof_real=$sizeof_real
6166 < if test $sizeof_real = 8; then
6167 <  prec="double"
6168 <  fftwcheckprefix=d
6181 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6182 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6183 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6184 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6185   else
6186 <  prec="single"
6187 <  fftwcheckprefix=s
6172 < fi
6173 <
6174 < xfftwname=${fftwcheckprefix}fftw3
6175 <
6176 < ok="no"
6177 < # check header doesn't work, since we must use mpicc to get includes,
6178 < # we cant trust cpp.
6179 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6186 >  ac_check_lib_save_LIBS=$LIBS
6187 > LIBS="-lfftw3  $LIBS"
6188   cat >conftest.$ac_ext <<_ACEOF
6189   /* confdefs.h.  */
6190   _ACEOF
6191   cat confdefs.h >>conftest.$ac_ext
6192   cat >>conftest.$ac_ext <<_ACEOF
6193   /* end confdefs.h.  */
6187 #include <$xfftwname.h>
6188 #ifdef FC_DUMMY_MAIN
6189 #ifndef FC_DUMMY_MAIN_EQ_F77
6190 #  ifdef __cplusplus
6191     extern "C"
6192 #  endif
6193   int FC_DUMMY_MAIN() { return 1; }
6194 #endif
6195 #endif
6196 int
6197 main ()
6198 {
6194  
6195 <  ;
6196 <  return 0;
6197 < }
6198 < _ACEOF
6199 < rm -f conftest.$ac_objext
6200 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6201 <  (eval $ac_compile) 2>conftest.er1
6207 <  ac_status=$?
6208 <  grep -v '^ *+' conftest.er1 >conftest.err
6209 <  rm -f conftest.er1
6210 <  cat conftest.err >&5
6211 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 <  (exit $ac_status); } &&
6213 <         { ac_try='test -z "$ac_c_werror_flag"
6214 <                         || test ! -s conftest.err'
6215 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 <  (eval $ac_try) 2>&5
6217 <  ac_status=$?
6218 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 <  (exit $ac_status); }; } &&
6220 <         { ac_try='test -s conftest.$ac_objext'
6221 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 <  (eval $ac_try) 2>&5
6223 <  ac_status=$?
6224 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 <  (exit $ac_status); }; }; then
6226 <
6227 < fftwname=$xfftwname
6228 < echo "$as_me:$LINENO: result: yes" >&5
6229 < echo "${ECHO_T}yes" >&6
6230 <
6231 < else
6232 <  echo "$as_me: failed program was:" >&5
6233 < sed 's/^/| /' conftest.$ac_ext >&5
6234 <
6235 < echo "$as_me:$LINENO: result: no" >&5
6236 < echo "${ECHO_T}no" >&6
6237 < fi
6238 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 <
6240 < # fftwname was set if we found a header
6241 <
6242 < if test -n "$fftwname"; then
6243 < # we cannot run the code since an MPI program might not be allowed
6244 < # on a login node of a supercomputer
6245 < cat >conftest.$ac_ext <<_ACEOF
6246 < /* confdefs.h.  */
6247 < _ACEOF
6248 < cat confdefs.h >>conftest.$ac_ext
6249 < cat >>conftest.$ac_ext <<_ACEOF
6250 < /* end confdefs.h.  */
6251 < #include <$fftwname.h>
6195 > /* Override any gcc2 internal prototype to avoid an error.  */
6196 > #ifdef __cplusplus
6197 > extern "C"
6198 > #endif
6199 > /* We use char because int might match the return type of a gcc2
6200 >   builtin and then its argument prototype would still apply.  */
6201 > char fftw_execute ();
6202   #ifdef FC_DUMMY_MAIN
6203   #ifndef FC_DUMMY_MAIN_EQ_F77
6204   #  ifdef __cplusplus
# Line 6260 | Line 6210 | main ()
6210   int
6211   main ()
6212   {
6213 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6213 > fftw_execute ();
6214    ;
6215    return 0;
6216   }
6217   _ACEOF
6218 < rm -f conftest.$ac_objext
6219 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6220 <  (eval $ac_compile) 2>conftest.er1
6218 > rm -f conftest.$ac_objext conftest$ac_exeext
6219 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6220 >  (eval $ac_link) 2>conftest.er1
6221    ac_status=$?
6222    grep -v '^ *+' conftest.er1 >conftest.err
6223    rm -f conftest.er1
# Line 6281 | Line 6231 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6231    ac_status=$?
6232    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6233    (exit $ac_status); }; } &&
6234 <         { ac_try='test -s conftest.$ac_objext'
6234 >         { ac_try='test -s conftest$ac_exeext'
6235    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6236    (eval $ac_try) 2>&5
6237    ac_status=$?
6238    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6239    (exit $ac_status); }; }; then
6240 <
6291 < ok=yes
6292 < usedprefix=$fftwcheckprefix
6293 <
6240 >  ac_cv_lib_fftw3_fftw_execute=yes
6241   else
6242    echo "$as_me: failed program was:" >&5
6243   sed 's/^/| /' conftest.$ac_ext >&5
6244  
6245 < ok=no
6245 > ac_cv_lib_fftw3_fftw_execute=no
6246   fi
6247 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6247 > rm -f conftest.err conftest.$ac_objext \
6248 >      conftest$ac_exeext conftest.$ac_ext
6249 > LIBS=$ac_check_lib_save_LIBS
6250   fi
6251 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6252 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6253 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6254 +  fftw_cv_libfftw3=yes
6255 + else
6256 +  fftw_cv_libfftw3=no
6257 + fi
6258  
6259 < if test "$ok" != "yes"; then
6259 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6260    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6261   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6262 <  cat >conftest.$ac_ext <<_ACEOF
6262 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6263 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6264 > fi
6265 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6266 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6267 > else
6268 >  # Is the header compilable?
6269 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6270 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6271 > cat >conftest.$ac_ext <<_ACEOF
6272   /* confdefs.h.  */
6273   _ACEOF
6274   cat confdefs.h >>conftest.$ac_ext
6275   cat >>conftest.$ac_ext <<_ACEOF
6276   /* end confdefs.h.  */
6277 + $ac_includes_default
6278   #include <fftw3.h>
6313 #ifdef FC_DUMMY_MAIN
6314 #ifndef FC_DUMMY_MAIN_EQ_F77
6315 #  ifdef __cplusplus
6316     extern "C"
6317 #  endif
6318   int FC_DUMMY_MAIN() { return 1; }
6319 #endif
6320 #endif
6321 int
6322 main ()
6323 {
6324
6325  ;
6326  return 0;
6327 }
6279   _ACEOF
6280   rm -f conftest.$ac_objext
6281   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6348 | Line 6299 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6299    ac_status=$?
6300    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6301    (exit $ac_status); }; }; then
6302 <  echo "$as_me:$LINENO: result: yes" >&5
6352 < echo "${ECHO_T}yes" >&6
6302 >  ac_header_compiler=yes
6303   else
6304    echo "$as_me: failed program was:" >&5
6305   sed 's/^/| /' conftest.$ac_ext >&5
6306  
6307 <
6358 < echo "$as_me:$LINENO: result: no" >&5
6359 < echo "${ECHO_T}no" >&6
6360 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 < Do you have $prec precision FFTW installed? If you are using packages,
6362 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 < software at www.fftw.org.
6364 < If you compiled FFTW yourself:
6365 < Note that the default FFTW setup is double precision.  If you want MPI support,
6366 < use --with-mpi. It is a good idea to install both single & double.
6367 < If you have installed FFTW in a non-standard location, you should
6368 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 < variables before running configure.
6370 < That is also necessary to do if your compiler doesn't search
6371 < /usr/local/include and /usr/local/lib by default." >&5
6372 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 < Do you have $prec precision FFTW installed? If you are using packages,
6374 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 < software at www.fftw.org.
6376 < If you compiled FFTW yourself:
6377 < Note that the default FFTW setup is double precision.  If you want MPI support,
6378 < use --with-mpi. It is a good idea to install both single & double.
6379 < If you have installed FFTW in a non-standard location, you should
6380 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 < variables before running configure.
6382 < That is also necessary to do if your compiler doesn't search
6383 < /usr/local/include and /usr/local/lib by default." >&2;}
6384 <   { (exit 1); exit 1; }; }
6385 <
6307 > ac_header_compiler=no
6308   fi
6309   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6310 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6311 + echo "${ECHO_T}$ac_header_compiler" >&6
6312 +
6313 + # Is the header present?
6314 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6315 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6316   cat >conftest.$ac_ext <<_ACEOF
6317   /* confdefs.h.  */
6318   _ACEOF
# Line 6392 | Line 6320 | cat >>conftest.$ac_ext <<_ACEOF
6320   cat >>conftest.$ac_ext <<_ACEOF
6321   /* end confdefs.h.  */
6322   #include <fftw3.h>
6395 #ifdef FC_DUMMY_MAIN
6396 #ifndef FC_DUMMY_MAIN_EQ_F77
6397 #  ifdef __cplusplus
6398     extern "C"
6399 #  endif
6400   int FC_DUMMY_MAIN() { return 1; }
6401 #endif
6402 #endif
6403 int
6404 main ()
6405 {
6406 int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407  ;
6408  return 0;
6409 }
6323   _ACEOF
6324 < rm -f conftest.$ac_objext
6325 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 <  (eval $ac_compile) 2>conftest.er1
6324 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6325 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6326    ac_status=$?
6327    grep -v '^ *+' conftest.er1 >conftest.err
6328    rm -f conftest.er1
6329    cat conftest.err >&5
6330    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6331 <  (exit $ac_status); } &&
6332 <         { ac_try='test -z "$ac_c_werror_flag"
6333 <                         || test ! -s conftest.err'
6334 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6335 <  (eval $ac_try) 2>&5
6336 <  ac_status=$?
6337 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 <  (exit $ac_status); }; } &&
6427 <         { ac_try='test -s conftest.$ac_objext'
6428 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 <  (eval $ac_try) 2>&5
6430 <  ac_status=$?
6431 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 <  (exit $ac_status); }; }; then
6433 <
6434 < usedprefix=""
6435 < fftwname=fftw3
6436 <
6331 >  (exit $ac_status); } >/dev/null; then
6332 >  if test -s conftest.err; then
6333 >    ac_cpp_err=$ac_c_preproc_warn_flag
6334 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6335 >  else
6336 >    ac_cpp_err=
6337 >  fi
6338   else
6339 <  echo "$as_me: failed program was:" >&5
6439 < sed 's/^/| /' conftest.$ac_ext >&5
6440 <
6441 <
6442 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 < Do you have $prec precision FFTW installed? If you are using packages,
6444 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 < software at www.fftw.org.
6446 < If you compiled FFTW yourself:
6447 < Note that the default FFTW setup is double precision.  If you want MPI support,
6448 < use --with-mpi. It is a good idea to install both single & double.
6449 < If you have installed FFTW in a non-standard location, you should
6450 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 < variables before running configure.
6452 < That is also necessary to do if your compiler doesn't search
6453 < /usr/local/include and /usr/local/lib by default." >&5
6454 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 < Do you have $prec precision FFTW installed? If you are using packages,
6456 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 < software at www.fftw.org.
6458 < If you compiled FFTW yourself:
6459 < Note that the default FFTW setup is double precision.  If you want MPI support,
6460 < use --with-mpi. It is a good idea to install both single & double.
6461 < If you have installed FFTW in a non-standard location, you should
6462 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 < variables before running configure.
6464 < That is also necessary to do if your compiler doesn't search
6465 < /usr/local/include and /usr/local/lib by default." >&2;}
6466 <   { (exit 1); exit 1; }; }
6339 >  ac_cpp_err=yes
6340   fi
6341 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6342 < fi
6470 <
6471 <
6472 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6473 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6474 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6475 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6476 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6477 < else
6478 <  ac_check_lib_save_LIBS=$LIBS
6479 < LIBS="-l$fftwname  $LIBS"
6480 < cat >conftest.$ac_ext <<_ACEOF
6481 < /* confdefs.h.  */
6482 < _ACEOF
6483 < cat confdefs.h >>conftest.$ac_ext
6484 < cat >>conftest.$ac_ext <<_ACEOF
6485 < /* end confdefs.h.  */
6486 <
6487 <
6488 < #ifdef FC_DUMMY_MAIN
6489 < #ifndef FC_DUMMY_MAIN_EQ_F77
6490 < #  ifdef __cplusplus
6491 <     extern "C"
6492 < #  endif
6493 <   int FC_DUMMY_MAIN() { return 1; }
6494 < #endif
6495 < #endif
6496 < int
6497 < main ()
6498 < {
6499 < main ();
6500 <  ;
6501 <  return 0;
6502 < }
6503 < _ACEOF
6504 < rm -f conftest.$ac_objext conftest$ac_exeext
6505 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 <  (eval $ac_link) 2>conftest.er1
6507 <  ac_status=$?
6508 <  grep -v '^ *+' conftest.er1 >conftest.err
6509 <  rm -f conftest.er1
6510 <  cat conftest.err >&5
6511 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 <  (exit $ac_status); } &&
6513 <         { ac_try='test -z "$ac_c_werror_flag"
6514 <                         || test ! -s conftest.err'
6515 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 <  (eval $ac_try) 2>&5
6517 <  ac_status=$?
6518 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 <  (exit $ac_status); }; } &&
6520 <         { ac_try='test -s conftest$ac_exeext'
6521 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 <  (eval $ac_try) 2>&5
6523 <  ac_status=$?
6524 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 <  (exit $ac_status); }; }; then
6526 <  eval "$as_ac_Lib=yes"
6341 > if test -z "$ac_cpp_err"; then
6342 >  ac_header_preproc=yes
6343   else
6344    echo "$as_me: failed program was:" >&5
6345   sed 's/^/| /' conftest.$ac_ext >&5
6346  
6347 < eval "$as_ac_Lib=no"
6347 >  ac_header_preproc=no
6348   fi
6349 < rm -f conftest.err conftest.$ac_objext \
6350 <      conftest$ac_exeext conftest.$ac_ext
6351 < LIBS=$ac_check_lib_save_LIBS
6349 > rm -f conftest.err conftest.$ac_ext
6350 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6351 > echo "${ECHO_T}$ac_header_preproc" >&6
6352 >
6353 > # So?  What about this header?
6354 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6355 >  yes:no: )
6356 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6357 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6358 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6359 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6360 >    ac_header_preproc=yes
6361 >    ;;
6362 >  no:yes:* )
6363 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6364 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6365 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6366 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6367 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6368 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6369 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6370 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6371 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6372 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6373 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6374 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6375 >    (
6376 >      cat <<\_ASBOX
6377 > ## ------------------------------ ##
6378 > ## Report this to gezelter@nd.edu ##
6379 > ## ------------------------------ ##
6380 > _ASBOX
6381 >    ) |
6382 >      sed "s/^/$as_me: WARNING:     /" >&2
6383 >    ;;
6384 > esac
6385 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6386 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6387 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6388 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6389 > else
6390 >  ac_cv_header_fftw3_h=$ac_header_preproc
6391   fi
6392 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6393 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 <  cat >>confdefs.h <<_ACEOF
6541 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 < _ACEOF
6392 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6393 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6394  
6395 <  LIBS="-l$fftwname $LIBS"
6396 <
6395 > fi
6396 > if test $ac_cv_header_fftw3_h = yes; then
6397 >  fftw_cv_fftw3_h=yes
6398   else
6399 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 <   { (exit 1); exit 1; }; }
6399 >  fftw_cv_fftw3_h=no
6400   fi
6401  
6552 ac_fftw_savedprefix=$usedprefix
6553 ac_fftw_firstname=$fftwname
6402  
6403 +      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6404 +        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6405 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6406 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6407 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6408   else
6409 <
6410 < fftwname=${ac_fftw_savedprefix}fftw3
6558 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6409 >  ac_check_lib_save_LIBS=$LIBS
6410 > LIBS="-lfftw  $LIBS"
6411   cat >conftest.$ac_ext <<_ACEOF
6412   /* confdefs.h.  */
6413   _ACEOF
6414   cat confdefs.h >>conftest.$ac_ext
6415   cat >>conftest.$ac_ext <<_ACEOF
6416   /* end confdefs.h.  */
6566 #include <$fftwname.h>
6567 #ifdef FC_DUMMY_MAIN
6568 #ifndef FC_DUMMY_MAIN_EQ_F77
6569 #  ifdef __cplusplus
6570     extern "C"
6571 #  endif
6572   int FC_DUMMY_MAIN() { return 1; }
6573 #endif
6574 #endif
6575 int
6576 main ()
6577 {
6417  
6418 <  ;
6419 <  return 0;
6420 < }
6421 < _ACEOF
6422 < rm -f conftest.$ac_objext
6423 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6424 <  (eval $ac_compile) 2>conftest.er1
6586 <  ac_status=$?
6587 <  grep -v '^ *+' conftest.er1 >conftest.err
6588 <  rm -f conftest.er1
6589 <  cat conftest.err >&5
6590 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 <  (exit $ac_status); } &&
6592 <         { ac_try='test -z "$ac_c_werror_flag"
6593 <                         || test ! -s conftest.err'
6594 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 <  (eval $ac_try) 2>&5
6596 <  ac_status=$?
6597 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 <  (exit $ac_status); }; } &&
6599 <         { ac_try='test -s conftest.$ac_objext'
6600 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 <  (eval $ac_try) 2>&5
6602 <  ac_status=$?
6603 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 <  (exit $ac_status); }; }; then
6605 <  echo "$as_me:$LINENO: result: yes" >&5
6606 < echo "${ECHO_T}yes" >&6
6607 < LIBS="-l$fftwname $LIBS"
6608 < cat >conftest.$ac_ext <<_ACEOF
6609 < /* confdefs.h.  */
6610 < _ACEOF
6611 < cat confdefs.h >>conftest.$ac_ext
6612 < cat >>conftest.$ac_ext <<_ACEOF
6613 < /* end confdefs.h.  */
6614 <
6615 <
6418 > /* Override any gcc2 internal prototype to avoid an error.  */
6419 > #ifdef __cplusplus
6420 > extern "C"
6421 > #endif
6422 > /* We use char because int might match the return type of a gcc2
6423 >   builtin and then its argument prototype would still apply.  */
6424 > char fftwnd_one ();
6425   #ifdef FC_DUMMY_MAIN
6426   #ifndef FC_DUMMY_MAIN_EQ_F77
6427   #  ifdef __cplusplus
# Line 6624 | Line 6433 | main ()
6433   int
6434   main ()
6435   {
6436 < main ();
6436 > fftwnd_one ();
6437    ;
6438    return 0;
6439   }
# Line 6651 | Line 6460 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6460    ac_status=$?
6461    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6462    (exit $ac_status); }; }; then
6463 <  :
6463 >  ac_cv_lib_fftw_fftwnd_one=yes
6464   else
6465    echo "$as_me: failed program was:" >&5
6466   sed 's/^/| /' conftest.$ac_ext >&5
6467  
6468 + ac_cv_lib_fftw_fftwnd_one=no
6469   fi
6470   rm -f conftest.err conftest.$ac_objext \
6471        conftest$ac_exeext conftest.$ac_ext
6472 + LIBS=$ac_check_lib_save_LIBS
6473 + fi
6474 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6475 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6476 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6477 +  fftw_cv_libfftw=yes
6478   else
6479 <  echo "$as_me: failed program was:" >&5
6664 < sed 's/^/| /' conftest.$ac_ext >&5
6665 <
6666 <
6667 < echo "$as_me:$LINENO: result: no" >&5
6668 < echo "${ECHO_T}no" >&6
6669 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 <   { (exit 1); exit 1; }; }
6674 <
6479 >  fftw_cv_libfftw=no
6480   fi
6676 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6481  
6482 +        if test "${ac_cv_header_fftw_h+set}" = set; then
6483 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6484 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6485 + if test "${ac_cv_header_fftw_h+set}" = set; then
6486 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6487   fi
6488 <
6489 <
6681 <
6682 <  if test "$with_mpi" = "yes"; then
6683 <
6684 < if test -z "$ac_fftw_firstname"; then
6685 <
6686 < sizeof_real=$sizeof_real
6687 < if test $sizeof_real = 8; then
6688 <  prec="double"
6689 <  fftwcheckprefix=d
6488 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6489 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6490   else
6491 <  prec="single"
6492 <  fftwcheckprefix=s
6493 < fi
6694 <
6695 < xfftwname=${fftwcheckprefix}fftw3_mpi
6696 <
6697 < ok="no"
6698 < # check header doesn't work, since we must use mpicc to get includes,
6699 < # we cant trust cpp.
6700 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6491 >  # Is the header compilable?
6492 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6493 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6494   cat >conftest.$ac_ext <<_ACEOF
6495   /* confdefs.h.  */
6496   _ACEOF
6497   cat confdefs.h >>conftest.$ac_ext
6498   cat >>conftest.$ac_ext <<_ACEOF
6499   /* end confdefs.h.  */
6500 < #include <$xfftwname.h>
6501 < #ifdef FC_DUMMY_MAIN
6710 < #ifndef FC_DUMMY_MAIN_EQ_F77
6711 < #  ifdef __cplusplus
6712 <     extern "C"
6713 < #  endif
6714 <   int FC_DUMMY_MAIN() { return 1; }
6715 < #endif
6716 < #endif
6717 < int
6718 < main ()
6719 < {
6720 <
6721 <  ;
6722 <  return 0;
6723 < }
6500 > $ac_includes_default
6501 > #include <fftw.h>
6502   _ACEOF
6503   rm -f conftest.$ac_objext
6504   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6744 | Line 6522 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6522    ac_status=$?
6523    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6524    (exit $ac_status); }; }; then
6525 <
6748 < fftwname=$xfftwname
6749 < echo "$as_me:$LINENO: result: yes" >&5
6750 < echo "${ECHO_T}yes" >&6
6751 <
6525 >  ac_header_compiler=yes
6526   else
6527    echo "$as_me: failed program was:" >&5
6528   sed 's/^/| /' conftest.$ac_ext >&5
6529  
6530 < echo "$as_me:$LINENO: result: no" >&5
6757 < echo "${ECHO_T}no" >&6
6530 > ac_header_compiler=no
6531   fi
6532   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6533 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6534 + echo "${ECHO_T}$ac_header_compiler" >&6
6535  
6536 < # fftwname was set if we found a header
6537 <
6538 < if test -n "$fftwname"; then
6764 < # we cannot run the code since an MPI program might not be allowed
6765 < # on a login node of a supercomputer
6536 > # Is the header present?
6537 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6538 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6539   cat >conftest.$ac_ext <<_ACEOF
6540   /* confdefs.h.  */
6541   _ACEOF
6542   cat confdefs.h >>conftest.$ac_ext
6543   cat >>conftest.$ac_ext <<_ACEOF
6544   /* end confdefs.h.  */
6545 < #include <$fftwname.h>
6773 < #ifdef FC_DUMMY_MAIN
6774 < #ifndef FC_DUMMY_MAIN_EQ_F77
6775 < #  ifdef __cplusplus
6776 <     extern "C"
6777 < #  endif
6778 <   int FC_DUMMY_MAIN() { return 1; }
6779 < #endif
6780 < #endif
6781 < int
6782 < main ()
6783 < {
6784 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 <  ;
6786 <  return 0;
6787 < }
6545 > #include <fftw.h>
6546   _ACEOF
6547 < rm -f conftest.$ac_objext
6548 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 <  (eval $ac_compile) 2>conftest.er1
6547 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6548 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6549    ac_status=$?
6550    grep -v '^ *+' conftest.er1 >conftest.err
6551    rm -f conftest.er1
6552    cat conftest.err >&5
6553    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6554 <  (exit $ac_status); } &&
6555 <         { ac_try='test -z "$ac_c_werror_flag"
6556 <                         || test ! -s conftest.err'
6557 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6558 <  (eval $ac_try) 2>&5
6559 <  ac_status=$?
6560 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6804 <  (exit $ac_status); }; } &&
6805 <         { ac_try='test -s conftest.$ac_objext'
6806 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 <  (eval $ac_try) 2>&5
6808 <  ac_status=$?
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); }; }; then
6811 <
6812 < ok=yes
6813 < usedprefix=$fftwcheckprefix
6814 <
6554 >  (exit $ac_status); } >/dev/null; then
6555 >  if test -s conftest.err; then
6556 >    ac_cpp_err=$ac_c_preproc_warn_flag
6557 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6558 >  else
6559 >    ac_cpp_err=
6560 >  fi
6561   else
6562 <  echo "$as_me: failed program was:" >&5
6817 < sed 's/^/| /' conftest.$ac_ext >&5
6818 <
6819 < ok=no
6562 >  ac_cpp_err=yes
6563   fi
6564 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6565 < fi
6823 <
6824 < if test "$ok" != "yes"; then
6825 <  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 < echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 <  cat >conftest.$ac_ext <<_ACEOF
6828 < /* confdefs.h.  */
6829 < _ACEOF
6830 < cat confdefs.h >>conftest.$ac_ext
6831 < cat >>conftest.$ac_ext <<_ACEOF
6832 < /* end confdefs.h.  */
6833 < #include <fftw3_mpi.h>
6834 < #ifdef FC_DUMMY_MAIN
6835 < #ifndef FC_DUMMY_MAIN_EQ_F77
6836 < #  ifdef __cplusplus
6837 <     extern "C"
6838 < #  endif
6839 <   int FC_DUMMY_MAIN() { return 1; }
6840 < #endif
6841 < #endif
6842 < int
6843 < main ()
6844 < {
6845 <
6846 <  ;
6847 <  return 0;
6848 < }
6849 < _ACEOF
6850 < rm -f conftest.$ac_objext
6851 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 <  (eval $ac_compile) 2>conftest.er1
6853 <  ac_status=$?
6854 <  grep -v '^ *+' conftest.er1 >conftest.err
6855 <  rm -f conftest.er1
6856 <  cat conftest.err >&5
6857 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 <  (exit $ac_status); } &&
6859 <         { ac_try='test -z "$ac_c_werror_flag"
6860 <                         || test ! -s conftest.err'
6861 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 <  (eval $ac_try) 2>&5
6863 <  ac_status=$?
6864 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 <  (exit $ac_status); }; } &&
6866 <         { ac_try='test -s conftest.$ac_objext'
6867 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 <  (eval $ac_try) 2>&5
6869 <  ac_status=$?
6870 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 <  (exit $ac_status); }; }; then
6872 <  echo "$as_me:$LINENO: result: yes" >&5
6873 < echo "${ECHO_T}yes" >&6
6564 > if test -z "$ac_cpp_err"; then
6565 >  ac_header_preproc=yes
6566   else
6567    echo "$as_me: failed program was:" >&5
6568   sed 's/^/| /' conftest.$ac_ext >&5
6569  
6570 <
6879 < echo "$as_me:$LINENO: result: no" >&5
6880 < echo "${ECHO_T}no" >&6
6881 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 < Do you have $prec precision FFTW installed? If you are using packages,
6883 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 < software at www.fftw.org.
6885 < If you compiled FFTW yourself:
6886 < Note that the default FFTW setup is double precision.  If you want MPI support,
6887 < use --with-mpi. It is a good idea to install both single & double.
6888 < If you have installed FFTW in a non-standard location, you should
6889 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 < variables before running configure.
6891 < That is also necessary to do if your compiler doesn't search
6892 < /usr/local/include and /usr/local/lib by default." >&5
6893 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 < Do you have $prec precision FFTW installed? If you are using packages,
6895 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 < software at www.fftw.org.
6897 < If you compiled FFTW yourself:
6898 < Note that the default FFTW setup is double precision.  If you want MPI support,
6899 < use --with-mpi. It is a good idea to install both single & double.
6900 < If you have installed FFTW in a non-standard location, you should
6901 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 < variables before running configure.
6903 < That is also necessary to do if your compiler doesn't search
6904 < /usr/local/include and /usr/local/lib by default." >&2;}
6905 <   { (exit 1); exit 1; }; }
6906 <
6570 >  ac_header_preproc=no
6571   fi
6572 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6573 < cat >conftest.$ac_ext <<_ACEOF
6574 < /* confdefs.h.  */
6911 < _ACEOF
6912 < cat confdefs.h >>conftest.$ac_ext
6913 < cat >>conftest.$ac_ext <<_ACEOF
6914 < /* end confdefs.h.  */
6915 < #include <fftw3_mpi.h>
6916 < #ifdef FC_DUMMY_MAIN
6917 < #ifndef FC_DUMMY_MAIN_EQ_F77
6918 < #  ifdef __cplusplus
6919 <     extern "C"
6920 < #  endif
6921 <   int FC_DUMMY_MAIN() { return 1; }
6922 < #endif
6923 < #endif
6924 < int
6925 < main ()
6926 < {
6927 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 <  ;
6929 <  return 0;
6930 < }
6931 < _ACEOF
6932 < rm -f conftest.$ac_objext
6933 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 <  (eval $ac_compile) 2>conftest.er1
6935 <  ac_status=$?
6936 <  grep -v '^ *+' conftest.er1 >conftest.err
6937 <  rm -f conftest.er1
6938 <  cat conftest.err >&5
6939 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 <  (exit $ac_status); } &&
6941 <         { ac_try='test -z "$ac_c_werror_flag"
6942 <                         || test ! -s conftest.err'
6943 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 <  (eval $ac_try) 2>&5
6945 <  ac_status=$?
6946 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 <  (exit $ac_status); }; } &&
6948 <         { ac_try='test -s conftest.$ac_objext'
6949 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 <  (eval $ac_try) 2>&5
6951 <  ac_status=$?
6952 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 <  (exit $ac_status); }; }; then
6572 > rm -f conftest.err conftest.$ac_ext
6573 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6574 > echo "${ECHO_T}$ac_header_preproc" >&6
6575  
6576 < usedprefix=""
6577 < fftwname=fftw3_mpi
6578 <
6576 > # So?  What about this header?
6577 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6578 >  yes:no: )
6579 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6580 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6581 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6582 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6583 >    ac_header_preproc=yes
6584 >    ;;
6585 >  no:yes:* )
6586 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6587 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6588 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6589 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6590 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6591 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6592 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6593 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6594 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6595 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6596 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6597 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6598 >    (
6599 >      cat <<\_ASBOX
6600 > ## ------------------------------ ##
6601 > ## Report this to gezelter@nd.edu ##
6602 > ## ------------------------------ ##
6603 > _ASBOX
6604 >    ) |
6605 >      sed "s/^/$as_me: WARNING:     /" >&2
6606 >    ;;
6607 > esac
6608 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6609 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6610 > if test "${ac_cv_header_fftw_h+set}" = set; then
6611 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6612   else
6613 <  echo "$as_me: failed program was:" >&5
6614 < sed 's/^/| /' conftest.$ac_ext >&5
6613 >  ac_cv_header_fftw_h=$ac_header_preproc
6614 > fi
6615 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6616 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6617  
6962
6963 { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 Do you have $prec precision FFTW installed? If you are using packages,
6965 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 software at www.fftw.org.
6967 If you compiled FFTW yourself:
6968 Note that the default FFTW setup is double precision.  If you want MPI support,
6969 use --with-mpi. It is a good idea to install both single & double.
6970 If you have installed FFTW in a non-standard location, you should
6971 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 variables before running configure.
6973 That is also necessary to do if your compiler doesn't search
6974 /usr/local/include and /usr/local/lib by default." >&5
6975 echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 Do you have $prec precision FFTW installed? If you are using packages,
6977 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 software at www.fftw.org.
6979 If you compiled FFTW yourself:
6980 Note that the default FFTW setup is double precision.  If you want MPI support,
6981 use --with-mpi. It is a good idea to install both single & double.
6982 If you have installed FFTW in a non-standard location, you should
6983 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 variables before running configure.
6985 That is also necessary to do if your compiler doesn't search
6986 /usr/local/include and /usr/local/lib by default." >&2;}
6987   { (exit 1); exit 1; }; }
6618   fi
6619 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6619 > if test $ac_cv_header_fftw_h = yes; then
6620 >  fftw_cv_fftw_h=yes
6621 > else
6622 >  fftw_cv_fftw_h=no
6623   fi
6624  
6625  
6626 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6627 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6628 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6629 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6626 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6627 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6628 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6629 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6630    echo $ECHO_N "(cached) $ECHO_C" >&6
6631   else
6632    ac_check_lib_save_LIBS=$LIBS
6633 < LIBS="-l$fftwname  $LIBS"
6633 > LIBS="-ldfftw  $LIBS"
6634   cat >conftest.$ac_ext <<_ACEOF
6635   /* confdefs.h.  */
6636   _ACEOF
# Line 7005 | Line 6638 | cat >>conftest.$ac_ext <<_ACEOF
6638   cat >>conftest.$ac_ext <<_ACEOF
6639   /* end confdefs.h.  */
6640  
6641 <
6641 > /* Override any gcc2 internal prototype to avoid an error.  */
6642 > #ifdef __cplusplus
6643 > extern "C"
6644 > #endif
6645 > /* We use char because int might match the return type of a gcc2
6646 >   builtin and then its argument prototype would still apply.  */
6647 > char fftwnd_one ();
6648   #ifdef FC_DUMMY_MAIN
6649   #ifndef FC_DUMMY_MAIN_EQ_F77
6650   #  ifdef __cplusplus
# Line 7017 | Line 6656 | main ()
6656   int
6657   main ()
6658   {
6659 < main ();
6659 > fftwnd_one ();
6660    ;
6661    return 0;
6662   }
# Line 7044 | Line 6683 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6683    ac_status=$?
6684    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6685    (exit $ac_status); }; }; then
6686 <  eval "$as_ac_Lib=yes"
6686 >  ac_cv_lib_dfftw_fftwnd_one=yes
6687   else
6688    echo "$as_me: failed program was:" >&5
6689   sed 's/^/| /' conftest.$ac_ext >&5
6690  
6691 < eval "$as_ac_Lib=no"
6691 > ac_cv_lib_dfftw_fftwnd_one=no
6692   fi
6693   rm -f conftest.err conftest.$ac_objext \
6694        conftest$ac_exeext conftest.$ac_ext
6695   LIBS=$ac_check_lib_save_LIBS
6696   fi
6697 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6698 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6699 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6700 <  cat >>confdefs.h <<_ACEOF
7062 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 < _ACEOF
7064 <
7065 <  LIBS="-l$fftwname $LIBS"
7066 <
6697 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6698 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6699 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6700 >  fftw_cv_libdfftw=yes
6701   else
6702 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 <   { (exit 1); exit 1; }; }
6702 >  fftw_cv_libdfftw=no
6703   fi
6704  
6705 < ac_fftw_savedprefix=$usedprefix
6706 < ac_fftw_firstname=$fftwname
6707 <
6705 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6706 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6707 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6708 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6709 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6710 > fi
6711 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6712 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6713   else
6714 <
6715 < fftwname=${ac_fftw_savedprefix}fftw3_mpi
6716 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6714 >  # Is the header compilable?
6715 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6716 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6717   cat >conftest.$ac_ext <<_ACEOF
6718   /* confdefs.h.  */
6719   _ACEOF
6720   cat confdefs.h >>conftest.$ac_ext
6721   cat >>conftest.$ac_ext <<_ACEOF
6722   /* end confdefs.h.  */
6723 < #include <$fftwname.h>
6724 < #ifdef FC_DUMMY_MAIN
7089 < #ifndef FC_DUMMY_MAIN_EQ_F77
7090 < #  ifdef __cplusplus
7091 <     extern "C"
7092 < #  endif
7093 <   int FC_DUMMY_MAIN() { return 1; }
7094 < #endif
7095 < #endif
7096 < int
7097 < main ()
7098 < {
7099 <
7100 <  ;
7101 <  return 0;
7102 < }
6723 > $ac_includes_default
6724 > #include <dfftw.h>
6725   _ACEOF
6726   rm -f conftest.$ac_objext
6727   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7123 | Line 6745 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6745    ac_status=$?
6746    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6747    (exit $ac_status); }; }; then
6748 <  echo "$as_me:$LINENO: result: yes" >&5
6749 < echo "${ECHO_T}yes" >&6
6750 < LIBS="-l$fftwname $LIBS"
6748 >  ac_header_compiler=yes
6749 > else
6750 >  echo "$as_me: failed program was:" >&5
6751 > sed 's/^/| /' conftest.$ac_ext >&5
6752 >
6753 > ac_header_compiler=no
6754 > fi
6755 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6756 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6757 > echo "${ECHO_T}$ac_header_compiler" >&6
6758 >
6759 > # Is the header present?
6760 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6761 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6762   cat >conftest.$ac_ext <<_ACEOF
6763   /* confdefs.h.  */
6764   _ACEOF
6765   cat confdefs.h >>conftest.$ac_ext
6766   cat >>conftest.$ac_ext <<_ACEOF
6767   /* end confdefs.h.  */
6768 <
7136 <
7137 < #ifdef FC_DUMMY_MAIN
7138 < #ifndef FC_DUMMY_MAIN_EQ_F77
7139 < #  ifdef __cplusplus
7140 <     extern "C"
7141 < #  endif
7142 <   int FC_DUMMY_MAIN() { return 1; }
7143 < #endif
7144 < #endif
7145 < int
7146 < main ()
7147 < {
7148 < main ();
7149 <  ;
7150 <  return 0;
7151 < }
6768 > #include <dfftw.h>
6769   _ACEOF
6770 < rm -f conftest.$ac_objext conftest$ac_exeext
6771 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 <  (eval $ac_link) 2>conftest.er1
6770 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6771 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6772    ac_status=$?
6773    grep -v '^ *+' conftest.er1 >conftest.err
6774    rm -f conftest.er1
6775    cat conftest.err >&5
6776    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6777 <  (exit $ac_status); } &&
6778 <         { ac_try='test -z "$ac_c_werror_flag"
6779 <                         || test ! -s conftest.err'
6780 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6781 <  (eval $ac_try) 2>&5
6782 <  ac_status=$?
6783 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 <  (exit $ac_status); }; } &&
7169 <         { ac_try='test -s conftest$ac_exeext'
7170 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 <  (eval $ac_try) 2>&5
7172 <  ac_status=$?
7173 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 <  (exit $ac_status); }; }; then
7175 <  :
6777 >  (exit $ac_status); } >/dev/null; then
6778 >  if test -s conftest.err; then
6779 >    ac_cpp_err=$ac_c_preproc_warn_flag
6780 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6781 >  else
6782 >    ac_cpp_err=
6783 >  fi
6784   else
6785 <  echo "$as_me: failed program was:" >&5
7178 < sed 's/^/| /' conftest.$ac_ext >&5
7179 <
6785 >  ac_cpp_err=yes
6786   fi
6787 < rm -f conftest.err conftest.$ac_objext \
6788 <      conftest$ac_exeext conftest.$ac_ext
6787 > if test -z "$ac_cpp_err"; then
6788 >  ac_header_preproc=yes
6789   else
6790    echo "$as_me: failed program was:" >&5
6791   sed 's/^/| /' conftest.$ac_ext >&5
6792  
6793 +  ac_header_preproc=no
6794 + fi
6795 + rm -f conftest.err conftest.$ac_ext
6796 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6797 + echo "${ECHO_T}$ac_header_preproc" >&6
6798  
6799 < echo "$as_me:$LINENO: result: no" >&5
6800 < echo "${ECHO_T}no" >&6
6801 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6802 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6803 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6804 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6805 <   { (exit 1); exit 1; }; }
6806 <
6799 > # So?  What about this header?
6800 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6801 >  yes:no: )
6802 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6803 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6804 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6805 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6806 >    ac_header_preproc=yes
6807 >    ;;
6808 >  no:yes:* )
6809 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6810 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6811 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6812 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6813 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6814 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6815 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6816 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6817 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6818 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6819 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6820 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6821 >    (
6822 >      cat <<\_ASBOX
6823 > ## ------------------------------ ##
6824 > ## Report this to gezelter@nd.edu ##
6825 > ## ------------------------------ ##
6826 > _ASBOX
6827 >    ) |
6828 >      sed "s/^/$as_me: WARNING:     /" >&2
6829 >    ;;
6830 > esac
6831 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6832 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6833 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6834 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6835 > else
6836 >  ac_cv_header_dfftw_h=$ac_header_preproc
6837   fi
6838 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6838 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6839 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6840  
6841   fi
6842 + if test $ac_cv_header_dfftw_h = yes; then
6843 +  fftw_cv_dfftw_h=yes
6844 + else
6845 +  fftw_cv_dfftw_h=no
6846 + fi
6847 +
6848 +
6849 +        fi
6850 +      fi
6851 +      ac_ext=c
6852 + ac_cpp='$CPP $CPPFLAGS'
6853 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6854 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6855 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
6856  
6857 +      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6858  
6859 <  fi
6859 > cat >>confdefs.h <<\_ACEOF
6860 > #define HAVE_FFTW3_H 1
6861 > _ACEOF
6862  
6863 <  case ${ac_fftw_savedprefix} in
6864 <   d)
6863 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6864 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6865 >        FFTW_LIBS="-lfftw3"
6866 >      else
6867 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6868 >
6869   cat >>confdefs.h <<\_ACEOF
6870 < #define FFTW_NAME_DFFTW
6870 > #define HAVE_FFTW_H 1
6871   _ACEOF
6872 < ;;
6873 <   *)
6872 >
6873 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6874 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6875 >          FFTW_LIBS="-lfftw"
6876 >        else
6877 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6878 >
6879   cat >>confdefs.h <<\_ACEOF
6880 < #define FFTW_NAME_FFTW
6880 > #define HAVE_DFFTW_H 1
6881   _ACEOF
7214 ;;
7215  esac
7216 else
7217  echo "*******************************************************************"
7218  echo "* FFTW libraries and include files are required for computing     *"
7219  echo "* undulation spectra with the staticProps program.  If you don't  *"
7220  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
7221  echo "* analyze your trajectories for this property.                    *"
7222  echo "*******************************************************************"
7223 fi # end of fftw check
6882  
6883 +            FFTW_INC_DIR="${FFTW_HOME}/include"
6884 +            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6885 +            FFTW_LIBS="-ldfftw"
6886 +          else
6887 +            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6888 + echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6889 +            FFTW_INC_DIR=
6890 +            FFTW_LIB_DIR=
6891 +            FFTW_LIBS=
6892 +            LDFLAGS="$FFTW_OLD_LDFLAGS"
6893 +            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6894 +            echo "$as_me:$LINENO: result: failed" >&5
6895 + echo "${ECHO_T}failed" >&6
6896 +            echo ""
6897 +            echo "*********************************************************"
6898 +            echo "* WARNING: Could not find a working FFTW installation   *"
6899 +            echo "* If you need the staticProps program to be able to     *"
6900 +            echo "* compute undulation spectra, be sure to specify a      *"
6901 +            echo "* valid fftw installation with --with-fftw=DIR          *"
6902 +            echo "*                                                       *"
6903 +            echo "* OOPSE will still work without fftw installed.         *"
6904 +            echo "*********************************************************"
6905 +            echo ""
6906 +          fi
6907 +        fi
6908 +      fi
6909 +
6910 +
6911 +
6912 +    fi
6913 +  fi
6914 + fi
6915 +
6916 +
6917 +
6918   # Checks for header files.
6919   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6920   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 12236 | Line 11929 | if test "$ac_test_FFLAGS" != "set"; then
11929    case "${host_cpu}-${host_os}" in
11930  
11931    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11932 <                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11932 >                    FCFLAGS="-O3 -ip -no-prec-div"
11933                  fi;;
11934     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11935                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 13293 | Line 12986 | MPI_INC_DIR="$MPI/include"
12986   MPI_INC_DIR="$MPI/include"
12987  
12988  
12989 +
12990 + ac_ext=c
12991 + ac_cpp='$CPP $CPPFLAGS'
12992 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12993 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12994 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12995  
12996   echo "$as_me:$LINENO: checking for mpi.h" >&5
12997   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12998   have_mpi_h=0
12999   rm -f conftest*
13000 < echo '#include <mpi.h>' > conftest.cc
13001 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
13000 > echo '#include <mpi.h>' > conftest.c
13001 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13002          echo "$as_me:$LINENO: result: yes" >&5
13003   echo "${ECHO_T}yes" >&6
13004          have_mpi_h=1
# Line 13322 | Line 13021 | echo $ECHO_N "checking whether mpif.h is usable... $EC
13021  
13022   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13023   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13024 +
13025 +
13026 + ac_ext=${FC_SRCEXT-f}
13027 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13028 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13029 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13030 +
13031 + ac_save_ext=$ac_ext
13032 + ac_ext=F90
13033 + ac_save_FCFLAGS=$FCFLAGS
13034   have_mpif_h=0
13035   rm -f conftest*
13036   cat >conftest.$ac_ext <<EOF
# Line 13351 | Line 13060 | fi
13060   _ACEOF
13061  
13062   fi
13063 + FCFLAGS=$ac_save_FCFLAGS
13064 + ac_ext=$ac_save_ext
13065 + ac_ext=c
13066 + ac_cpp='$CPP $CPPFLAGS'
13067 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13068 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13069 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
13070  
13071 +
13072   ac_ext=c
13073   ac_cpp='$CPP $CPPFLAGS'
13074   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 13359 | Line 13076 | ac_save_LDFLAGS=$LDFLAGS
13076   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13077  
13078   ac_save_LDFLAGS=$LDFLAGS
13079 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13079 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13080  
13081   if test x = x"$MPI_LIB"; then
13082          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 13439 | Line 13156 | fi
13156   fi
13157  
13158   fi
13159 + $as_unset ac_cv_lib_mpich_MPI_Init
13160   if test x = x"$MPI_LIB"; then
13161 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13162 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13163 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13161 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13162 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13163 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13164    echo $ECHO_N "(cached) $ECHO_C" >&6
13165   else
13166    ac_check_lib_save_LIBS=$LIBS
13167 < LIBS="-lmpi  $LIBS"
13167 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13168   cat >conftest.$ac_ext <<_ACEOF
13169   /* confdefs.h.  */
13170   _ACEOF
# Line 13499 | Line 13217 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13217    ac_status=$?
13218    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13219    (exit $ac_status); }; }; then
13220 <  ac_cv_lib_mpi_MPI_Init=yes
13220 >  ac_cv_lib_pmpich_MPI_Init=yes
13221   else
13222    echo "$as_me: failed program was:" >&5
13223   sed 's/^/| /' conftest.$ac_ext >&5
13224  
13225 < ac_cv_lib_mpi_MPI_Init=no
13225 > ac_cv_lib_pmpich_MPI_Init=no
13226   fi
13227   rm -f conftest.err conftest.$ac_objext \
13228        conftest$ac_exeext conftest.$ac_ext
13229   LIBS=$ac_check_lib_save_LIBS
13230   fi
13231 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13232 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13233 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13234 <  MPI_LIB="-lmpi"
13231 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13232 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13233 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13234 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13235   fi
13236  
13237   fi
13520 $as_unset ac_cv_lib_mpi_MPI_Init
13238   if test x = x"$MPI_LIB"; then
13239          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13240   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 13525 | Line 13242 | else
13242    echo $ECHO_N "(cached) $ECHO_C" >&6
13243   else
13244    ac_check_lib_save_LIBS=$LIBS
13245 < LIBS="-lmpi "-llam" $LIBS"
13245 > LIBS="-lmpi  $LIBS"
13246   cat >conftest.$ac_ext <<_ACEOF
13247   /* confdefs.h.  */
13248   _ACEOF
# Line 13592 | Line 13309 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13309   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13310   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13311   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13312 <  MPI_LIB="-lmpi -llam"
13312 >  MPI_LIB="-lmpi"
13313   fi
13314  
13315   fi
13316 < $as_unset ac_cv_lib_mpich_MPI_Init
13316 > $as_unset ac_cv_lib_mpi_MPI_Init
13317   if test x = x"$MPI_LIB"; then
13318 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13319 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13320 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13318 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13319 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13320 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13321    echo $ECHO_N "(cached) $ECHO_C" >&6
13322   else
13323    ac_check_lib_save_LIBS=$LIBS
13324 < LIBS="-lmpich "-lpmpich" $LIBS"
13324 > LIBS="-lmpi -llam $LIBS"
13325   cat >conftest.$ac_ext <<_ACEOF
13326   /* confdefs.h.  */
13327   _ACEOF
# Line 13657 | Line 13374 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13374    ac_status=$?
13375    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13376    (exit $ac_status); }; }; then
13377 <  ac_cv_lib_mpich_MPI_Init=yes
13377 >  ac_cv_lib_mpi_MPI_Init=yes
13378   else
13379    echo "$as_me: failed program was:" >&5
13380   sed 's/^/| /' conftest.$ac_ext >&5
13381  
13382 < ac_cv_lib_mpich_MPI_Init=no
13382 > ac_cv_lib_mpi_MPI_Init=no
13383   fi
13384   rm -f conftest.err conftest.$ac_objext \
13385        conftest$ac_exeext conftest.$ac_ext
13386   LIBS=$ac_check_lib_save_LIBS
13387   fi
13388 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13389 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13390 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13391 <  MPI_LIB="-lpmpich -lmpich"
13388 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13389 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13390 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13391 >  MPI_LIB="-lmpi -llam"
13392   fi
13393  
13394   fi
13678
13395   $as_unset ac_cv_lib_mpi_MPI_Init
13396   if test x = x"$MPI_LIB"; then
13397   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 13780 | Line 13496 | fi
13496  
13497  
13498   fi
13783
13499  
13500  
13501  
# Line 14238 | Line 13953 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13953  
13954  
13955  
14241
13956   # Check whether --enable-doxygen or --disable-doxygen was given.
13957   if test "${enable_doxygen+set}" = set; then
13958    enableval="$enable_doxygen"
# Line 14392 | Line 14106 | fi
14106  
14107  
14108  
14109 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
14109 >                                                            ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile src/applications/utilities/affineScale src/applications/utilities/waterBoxer scripts/filepp"
14110  
14111  
14112   cat >confcache <<\_ACEOF
# Line 14926 | Line 14640 | do
14640    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14641    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14642    "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14643 +  "src/applications/utilities/affineScale" ) CONFIG_FILES="$CONFIG_FILES src/applications/utilities/affineScale" ;;
14644 +  "src/applications/utilities/waterBoxer" ) CONFIG_FILES="$CONFIG_FILES src/applications/utilities/waterBoxer" ;;
14645    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14646    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
14647    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
# Line 15024 | Line 14740 | s,@debug@,$debug,;t t
14740   s,@host_os@,$host_os,;t t
14741   s,@PROGNAME@,$PROGNAME,;t t
14742   s,@debug@,$debug,;t t
14743 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14744   s,@CXX@,$CXX,;t t
14745   s,@CXXFLAGS@,$CXXFLAGS,;t t
14746   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 15061 | Line 14778 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14778   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14779   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14780   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14781 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14782 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14783 + s,@ZLIB@,$ZLIB,;t t
14784 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14785 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14786 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14787   s,@LIBOBJS@,$LIBOBJS,;t t
14788   s,@POW_LIB@,$POW_LIB,;t t
14789   s,@CXXCPP@,$CXXCPP,;t t
# Line 15331 | Line 15054 | s,@INSTALL@,$ac_INSTALL,;t t
15054      make/Makefile ) chmod 0755 scripts/* ;;
15055      src/utils/Makefile ) chmod 0755 scripts/* ;;
15056      src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
15057 +    src/applications/utilities/affineScale ) chmod 0755 scripts/* ;;
15058 +    src/applications/utilities/waterBoxer ) chmod 0755 scripts/* ;;
15059      scripts/filepp ) chmod 0755 scripts/* ;;
15060    esac
15061   done

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines